%define name autorpm
%define version 1.9.8
%define release 2mdk

Summary: RPM Auto-Installer or FTP Mirrorer
Summary(fr): RPM Auto-Installateur ou FTP Mirroreur
Name: autorpm
Version: %{version}
Release: %{release}
Copyright: GPL
Group: System/Configuration/Other
URL: http://www.kaybee.org/~kirk/html/linux.html
Source: %{name}-%{version}.tar.bz2
Requires: perl,rpm,dialog,mailx,perl-libnet
BuildRoot: /var/tmp/%{name}-build
BuildArch: noarch

%changelog
* Thu Apr 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.9.8-2mdk
- fix sources permission

* Tue Oct 12 1999 Lenny Cartier <lenny@mandrakesoft.com>
- Adaptation of the specfile

* Wed Nov 18 1998 Kirk Bauer <kirk@kaybee.org>
- Modified to comply with RHCN standards

* Sun Mar 08 1998 Kirk Bauer <kirk@kaybee.org>
- initial release

%description
AutoRPM is a program that can do any combination of the following: mirror RPMs
from  an  FTP  site,  keep installed RPMs consistent with an FTP site or local
directory, and keep installed RPMs in a cluster or network of systems  consis-
tent.   It  is  highly  flexible  and even contains  a very  nice, menu-driven
Interactive-Install mode.

%description -l fr
AutoRPM es un programme qui peut combiner diverses chose: mirrorer des RPM 
partir d'un site FTP, garder des RPM identiques  ceux d'un site FTP ou d'un
repertoire local.

%prep

%setup

%build

%install
install -m 0755 -d ${RPM_BUILD_ROOT}/var/spool/autorpm
install -m 0755 -d ${RPM_BUILD_ROOT}/etc/autorpm.d/pools
install -m 0755 -d ${RPM_BUILD_ROOT}/etc/autorpm.d/addons
install -m 0755 -d ${RPM_BUILD_ROOT}/var/spool/autorpm/scores
install -m 0600 pools/redhat-updates pools/autorpm-updates ${RPM_BUILD_ROOT}/etc/autorpm.d/pools

install -m 0755 -d ${RPM_BUILD_ROOT}/usr/sbin
install -m 0755 autorpm.pl ${RPM_BUILD_ROOT}/usr/sbin/autorpm

install -m 0755 -d ${RPM_BUILD_ROOT}/etc
install -m 0755 -d ${RPM_BUILD_ROOT}/etc/autorpm.d
install -m 0600 autorpm.conf ${RPM_BUILD_ROOT}/etc/autorpm.d/autorpm.conf.sample
install -m 0600 autorpm.d/redhat-updates autorpm.d/autorpm-updates ${RPM_BUILD_ROOT}/etc/autorpm.d

install -m 0755 -d ${RPM_BUILD_ROOT}/usr/man/man5
install -m 0755 -d ${RPM_BUILD_ROOT}/usr/man/man8
install -m 0644 autorpm.conf.5 ${RPM_BUILD_ROOT}/usr/man/man5
install -m 0644 autorpm.8 ${RPM_BUILD_ROOT}/usr/man/man8

install -m 0755 -d ${RPM_BUILD_ROOT}/etc/cron.daily
install -m 0755 autorpm.cron ${RPM_BUILD_ROOT}/etc/cron.daily

%clean
rm -rf $RPM_BUILD_ROOT

%post
# This will copy the sample config file to the real config file
# location only if there is no existing config file...
# It will also move the config file from the old location to the
# new location if necessary.
if [ ! -f /etc/autorpm.d/autorpm.conf ] ; then
   if [ -f /etc/autorpm.conf ] ; then
      echo "Moved /etc/autorpm.conf to /etc/autorpm.d/autorpm.conf" >&2
      mv /etc/autorpm.conf /etc/autorpm.d/autorpm.conf
   else 
      cp /etc/autorpm.d/autorpm.conf.sample /etc/autorpm.d/autorpm.conf
   fi
fi

%files
%defattr(-,root,root)
%doc COPYING README samples.conf CHANGES CREDITS TODO
%dir /var/spool/autorpm
%dir /etc/autorpm.d 
%dir /etc/autorpm.d/pools
%dir /etc/autorpm.d/addons
%dir /var/spool/autorpm/scores
%config(missingok) %attr(-,root,root) /etc/autorpm.d/autorpm.conf.sample
%config(missingok) %attr(-,root,root) /etc/autorpm.d/redhat-updates
%config(missingok) %attr(-,root,root) /etc/autorpm.d/autorpm-updates
%config(missingok) %attr(-,root,root) /etc/autorpm.d/pools/redhat-updates
%config(missingok) %attr(-,root,root) /etc/autorpm.d/pools/autorpm-updates
/usr/sbin/*
%doc /usr/man/man5/*
%doc /usr/man/man8/*
%config /etc/cron.daily/autorpm.cron

